## qwinwrap 1.0

=== shantz-xwinwrap/Makefile ===
all:
	gcc -Wall -Wstrict-prototypes -Wmissing-prototypes -Wmissing-declarations -Wredundant-decls -lX11 -lXext -lXrender xwinwrap.c -o xwinwrap
	-mkdir built
	mv ./xwinwrap ./built

install:
	cp built/xwinwrap /usr/bin

clean:
	-rm -rf built

=== debian/changelog ===
qwinwrap (1.0-1mx150+1) mx; urgency=medium

  * Repackaged for MX 15.

 -- Mike Purtell <mandbx@sbcglobal.net>  Tue, 07 Jul 2015 19:04:39 -0700

qwinwrap (1.0-1mcr120+1) mepis; urgency=medium

  * Rebuild for MEPIS 12 CR.

 -- Steven Pusser (Stevo) <maintainer@mepiscommunity.org>  Sun, 14 Jun 2015 14:57:34 -0700

qwinwrap (1.0) unstable; urgency=low

  * Initial Release.

 -- kovax <kovax3@gmail.com>  Fri, 29 Nov 2013 17:34:06 +0100

=== debian/control ===
Source: qwinwrap
Section: utils
Priority: extra
Maintainer: (mmikeinsantarosa) <maintainer@mepiscommunity.org>
Bugs: mailto: maintainer@mepiscommunity.org
XSBC-Original-Maintainer:Maintainer: kovax <kovax3@gmail.com>
Build-Depends: debhelper (>= 7.0.50~),
 libqt4-dev (>= 4.6.2),
 libphonon-dev,
 libxext-dev,
 libxrender-dev, 
 qtchooser | qt4-default | libqt4-dev (<< 4:4.8.6)
Standards-Version: 3.9.2
Homepage: https://sourceforge.net/projects/qwinwrap/
#Vcs-Git: git://git.debian.org/collab-maint/qwinwrap.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/qwinwrap.git;a=summary

Package: qwinwrap
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, xscreensaver, mplayer
Provides: xwinwrap
Description: allows for animated wallpaper
 Allows for the use of screensavers or videos as desktop backgrounds, either
 by use of xwinwrap, as a KDE 4 widget or by directly drawing to the screen.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export QT_SELECT=qt4

%:
	dh $@ --parallel

override_dh_auto_build:
	dh_auto_build
	cd shantz-xwinwrap && make

override_dh_auto_clean:
	dh_auto_clean
	rm -rf shantz-xwinwrap/built
